curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core",
"calendar": {
"$type": "Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core",
"holidays": [
"2023-11-07T05:31:56Z"
],
"include_weekends": true,
"name": "<string>"
},
"date": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core",
"calendar": {
"$type": "Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core",
"holidays": ["2023-11-07T05:31:56Z"],
"include_weekends": True,
"name": "<string>"
},
"date": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core',
calendar: {
$type: 'Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core',
holidays: ['2023-11-07T05:31:56Z'],
include_weekends: true,
name: '<string>'
},
date: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core',
'calendar' => [
'$type' => 'Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core',
'holidays' => [
'2023-11-07T05:31:56Z'
],
'include_weekends' => true,
'name' => '<string>'
],
'date' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core\",\n \"calendar\": {\n \"$type\": \"Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core\",\n \"holidays\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"include_weekends\": true,\n \"name\": \"<string>\"\n },\n \"date\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core\",\n \"calendar\": {\n \"$type\": \"Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core\",\n \"holidays\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"include_weekends\": true,\n \"name\": \"<string>\"\n },\n \"date\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core\",\n \"calendar\": {\n \"$type\": \"Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core\",\n \"holidays\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"include_weekends\": true,\n \"name\": \"<string>\"\n },\n \"date\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"date": "2023-11-07T05:31:56Z"
}Adjust a date using a business-day convention.
Use this operation to move a date according to the supplied calendar and business-day convention. The calendar, date, and convention are required. The calculation is performed in memory and does not change the calendar or any persisted market data.
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core",
"calendar": {
"$type": "Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core",
"holidays": [
"2023-11-07T05:31:56Z"
],
"include_weekends": true,
"name": "<string>"
},
"date": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core",
"calendar": {
"$type": "Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core",
"holidays": ["2023-11-07T05:31:56Z"],
"include_weekends": True,
"name": "<string>"
},
"date": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core',
calendar: {
$type: 'Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core',
holidays: ['2023-11-07T05:31:56Z'],
include_weekends: true,
name: '<string>'
},
date: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core',
'calendar' => [
'$type' => 'Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core',
'holidays' => [
'2023-11-07T05:31:56Z'
],
'include_weekends' => true,
'name' => '<string>'
],
'date' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core\",\n \"calendar\": {\n \"$type\": \"Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core\",\n \"holidays\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"include_weekends\": true,\n \"name\": \"<string>\"\n },\n \"date\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core\",\n \"calendar\": {\n \"$type\": \"Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core\",\n \"holidays\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"include_weekends\": true,\n \"name\": \"<string>\"\n },\n \"date\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/AdjustBusinessDay")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core\",\n \"calendar\": {\n \"$type\": \"Derivitec.Web.Core.StaticData.Calendar, Derivitec.Web.Core\",\n \"holidays\": [\n \"2023-11-07T05:31:56Z\"\n ],\n \"include_weekends\": true,\n \"name\": \"<string>\"\n },\n \"date\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"date": "2023-11-07T05:31:56Z"
}Authorizations
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
The calculation payload containing a calendar, the date to adjust as an ISO 8601 date/time value, and the BDC enum value that selects the business-day convention.
Selects a calendar, date, and business-day convention for date adjustment.
Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayRequest, Derivitec.Web.Core Named business-day calendar with holiday dates and weekend treatment.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Calendar date to adjust.
Convention that determines how a non-business date is adjusted.
actual, following, modified_following, preceding, modified_preceding Response
Returns the adjusted date as a UTC date/time value.
Returns the UTC date and time produced by the requested business-day convention.
Derivitec.Web.Core.MarketData.ApiAdjustBusinessDayResponse, Derivitec.Web.Core Whether the operation completed successfully. The default is true; error outcomes set it to false.
true
Messages explaining operation-level failures. The collection is empty by default.
Adjusted UTC date and time.
Was this page helpful?